Sunday, January 13, 2013

Installing Xampp 1.8 on 32 bit and 64 bit linux and solve phpmyadmin Access error

What is Xammp ?
XAMMP is now become number one choice for web developer for its ease of use and stability. XAMPP is an easy way  to install Apache distribution containing MySQL, PHP and Perl.
In this tutorial I am going to share how to install Xampp 1.8 on 32 bit and 64 bit linux and solve phpmyadmin Access error. In previous tutorial I already shared xampp 1.7 installation guide .

First Download Xampp 1.8 from apachefriends and copy it to home directory and rename it to xampp1.8.tar.gz. If you run 64 bit OS install Wine or ia32-libs otherwise you will not able to enjoy xampp as it is 32 bit application.

Installation guide of xampp 1.8 :

Run terminal and use following command
sudo tar xvfz xampp1.8.tar.gz -C /opt
if fails use
su tar xvfz xampp1.8.tar.gz -C /opt
Now xampp install successfully in /opt/ folder. we can start xampp by simply by command
sudo /opt/lampp/lampp start
Xampp 1.8 installation
 launch the url in firefox localhost but when launching phpmyadmin you will get following error.
xampp 1.8 phpmyadmin error
Don't worry We will soon solve this error . But first we have to make /opt/htdocs/ writable so we can easy create folders and files there by following command
 sudo chmod 777 -R /opt/lampp/htdocs
Now  we have to solve phpmyadmin Access error by simply editing httd-xampp.conf file.
Open terminal and run command
sudo kate
or sudo following by your favorite editor like gedit to open as root.
and open file httd-xampp.conf located at /opt/lampp/etc/extra/httd-xampp.conf
Look for following lines
<Directory "/opt/lampp/phpmyadmin">
    AllowOverride AuthConfig Limit
    Order allow,deny
    Allow from all
</Directory>
and replace with following
<Directory "/opt/lampp/phpmyadmin">
    AllowOverride AuthConfig Limit
    Order allow,deny
    Allow from all 
   Require all granted
</Directory>

After this , you will not able to open phpmyadmin same error will displayed on browser.
We have to restart Xampp in order to work. use following command
sudo /opt/lampp/lampp stop 
to stop xampp and
sudo /opt/lampp/lampp start
to start xampp 1.8

or you can use simgle command to restart
sudo /opt/lampp/lampp restart

Open localhost/phpmyadmin , after changing default language to english
it will look like
 
PHPMYADMIN  xampp 1.8

Now watch complete video tutorial Install laravel,lumen on xampp only on Linux
 
This tutorial is tested on Linux Mint KDE 14 Nadia.
@https://plus.google.com/111215709458999120537

PickMe
Delicious Save this on Delicious

1 comment :


  1. Thanks for sharing fabulous information. It' s my pleasure to read it.I have also bookmarked you for checking out new posts. by PSY 201 Week 2 Assignment

    ReplyDelete

If you have any Question , Suggestion or idea then please comment regarding the post.